# Generated by Django 4.0.5 on 2023-01-21 12:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0021_remove_persons_grades_alter_grades_user_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Experts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rating', models.IntegerField(default=0, max_length=100, verbose_name='рейтинг')),
                ('articles_count', models.IntegerField(default=0, max_length=100, verbose_name='количество рецензий')),
                ('comments_count', models.IntegerField(default=0, max_length=100, verbose_name='количество комментариев')),
                ('user_id', models.OneToOneField(null=True, on_delete=django.db.models.deletion.PROTECT, to='main.users')),
            ],
            options={
                'verbose_name': 'Эксперт',
                'verbose_name_plural': 'Эксперты',
            },
        ),
        migrations.AlterField(
            model_name='grades',
            name='user_name',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='main.experts'),
        ),
    ]
